Package org.silverpeas.components.gallery

# Class GalleryGlobalSilverpeasContentProcessor

java.lang.Object
org.silverpeas.core.contribution.contentcontainer.content.AbstractGlobalSilverContentProcessor
org.silverpeas.components.gallery.GalleryGlobalSilverpeasContentProcessor

All Implemented Interfaces:
  `org.silverpeas.core.contribution.contentcontainer.content.GlobalSilverContentProcessor`

@Bean @Named("galleryGlobalSilverContentProcessor") public class GalleryGlobalSilverpeasContentProcessor extends org.silverpeas.core.contribution.contentcontainer.content.AbstractGlobalSilverContentProcessor

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.silverpeas.core.contribution.contentcontainer.content.GlobalSilverContentProcessor

  `org.silverpeas.core.contribution.contentcontainer.content.GlobalSilverContentProcessor.Constants`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GalleryGlobalSilverpeasContentProcessor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Stream<org.silverpeas.core.contribution.contentcontainer.content.GlobalSilverContent>`
  `asGlobalSilverContent(List<org.silverpeas.core.contribution.contentcontainer.content.ManagedContribution> silverContents)`
  `String`
  `relatedToComponent()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GalleryGlobalSilverpeasContentProcessor

    public GalleryGlobalSilverpeasContentProcessor()

- ## Method Details

  - ### relatedToComponent

    public String relatedToComponent()

  - ### asGlobalSilverContent

    public Stream<org.silverpeas.core.contribution.contentcontainer.content.GlobalSilverContent> asGlobalSilverContent(List<org.silverpeas.core.contribution.contentcontainer.content.ManagedContribution> silverContents)
    Specified by:
      `asGlobalSilverContent` in interface `org.silverpeas.core.contribution.contentcontainer.content.GlobalSilverContentProcessor`
    Overrides:
      `asGlobalSilverContent` in class `org.silverpeas.core.contribution.contentcontainer.content.AbstractGlobalSilverContentProcessor`